| Home | Libraries | People | FAQ | More

## Function template none_of

boost::algorithm::none_of

## Synopsis

    // In header: <boost/algorithm/cxx11/none_of.hpp>

    template<typename InputIterator, typename Predicate>
      bool none_of(InputIterator first, InputIterator last, Predicate p);

## Description

| Note
returns true on an empty range

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the sequence

Returns: | true if none of the elements in [first, last) satisfy the predicate 'p'